Package: org.codehaus.groovy.control.customizers

## [Java] Class ImportCustomizer

- org.codehaus.groovy.control.customizers.ImportCustomizer

- This compilation customizer allows addiing various types of imports to the compilation unit. Supports adding:

  - standard imports via addImports(String...) or addImport(String, String)
  - star imports via addStarImports(String...)
  - static imports via addStaticImport(String, String) or addStaticImport(String, String, String)
  - static star imports via addStaticStars(String...)
  Since:
    1.8.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ImportCustomizer ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `ImportCustomizer` | `addImport(String alias, String className)`
    `` | `ImportCustomizer` | `addImports(String classNames)`
    `` | `ImportCustomizer` | `addStarImports(String packageNames)`
    `` | `ImportCustomizer` | `addStaticImport(String className, String fieldName)`
    `` | `ImportCustomizer` | `addStaticImport(String alias, String className, String fieldName)`
    `` | `ImportCustomizer` | `addStaticStars(String classNames)`
    `` | `void` | `call(SourceUnit source, GeneratorContext context, ClassNode classNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CompilationCustomizer` | `getPhase`

- - ### Constructor Detail

    - #### public ImportCustomizer()

  - ### Method Detail

    - #### public ImportCustomizer addImport(String alias, String className)

    - #### public ImportCustomizer addImports(String classNames)

    - #### public ImportCustomizer addStarImports(String packageNames)

    - #### public ImportCustomizer addStaticImport(String className, String fieldName)

    - #### public ImportCustomizer addStaticImport(String alias, String className, String fieldName)

    - #### public ImportCustomizer addStaticStars(String classNames)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void call(SourceUnit source, GeneratorContext context, ClassNode classNode)